package com.sjkj.appthreefloor_tsgz.adapter;

import android.content.Context;
import android.os.Build;

import androidx.annotation.RequiresApi;

import com.hjq.permissions.XXPermissions;
import com.sjkj.appthreefloor_tsgz.R;
import com.sjkj.appthreefloor_tsgz.bean.PermissionBean;
import com.sjkj.appthreefloor_tsgz.databinding.ItemPermissionListBinding;
import com.sjkj.base_lib.adapter.BaseRecAdapter;

import java.util.List;

public class PermissionListAdapter extends BaseRecAdapter<PermissionBean, ItemPermissionListBinding> {

    public PermissionListAdapter(Context context) {
        super(context);
    }

    public PermissionListAdapter(Context context, List<PermissionBean> list) {
        super(context, list);
    }

    @Override
    protected int getLayoutResId(int viewType) {
        return R.layout.item_permission_list;
    }

    @RequiresApi(api = Build.VERSION_CODES.R)
    @Override
    protected void onBindItem(ItemPermissionListBinding binding, PermissionBean bean, int position) {
        binding.setModel(bean);
        binding.executePendingBindings();

        if (XXPermissions.isGranted(context, bean.getKey())) {
            binding.statusTv.setText("已授权");
            binding.statusTv.setTextColor(context.getResources().getColor(R.color.green_color));
            bean.setGranted(true);
        } else {
            binding.statusTv.setText("未授权");
            binding.statusTv.setTextColor(context.getResources().getColor(R.color.red_color));
            bean.setGranted(false);
        }
//        if (Build.VERSION.SDK_INT>=Build.VERSION_CODES.HONEYCOMB_MR2){
//
//
//            if ("文件管理权限".equals(bean.getName())){
//                if (Environment.isExternalStorageManager()){
//                    binding.statusTv.setText("已授权");
//                    binding.statusTv.setTextColor(context.getResources().getColor(R.color.green_color));
//
//                }else {
//                    binding.statusTv.setText("未授权");
//                    binding.statusTv.setTextColor(context.getResources().getColor(R.color.red_color));
//
//                }
//            }else {
//                if (ContextCompat.checkSelfPermission(context, bean.getKey()) == PackageManager.PERMISSION_GRANTED) {
//                    binding.statusTv.setText("已授权");
//                    binding.statusTv.setTextColor(context.getResources().getColor(R.color.green_color));
//                } else {
//                    binding.statusTv.setText("未授权");
//                    binding.statusTv.setTextColor(context.getResources().getColor(R.color.red_color));
//                }
//            }
//        }else{
//            if (ContextCompat.checkSelfPermission(context, bean.getKey()) == PackageManager.PERMISSION_GRANTED) {
//                binding.statusTv.setText("已授权");
//                binding.statusTv.setTextColor(context.getResources().getColor(R.color.green_color));
//            } else {
//                binding.statusTv.setText("未授权");
//                binding.statusTv.setTextColor(context.getResources().getColor(R.color.red_color));
//            }
//        }
    }


}
